#include <iostream>

using namespace std;

#define MaxN 1000

int proveri(int n, int l, int h[MaxN])
{
    for (int i=0; i<n; i++)
    {
        if (h[i]<=l)
        {
            return i+1;
        }
    }
    return -1;
}

int main()
{
    int n, l;
    int h[MaxN];
    cin>> n >> l;
    for (int i=0; i<n; i++)
    {
        cin>> h[i];
    }
    cout<< proveri(n, l, h);

    return 0;
}